### Enumeration

# Gimp LayerColorSpace

#### Declaration

    enum Gimp.LayerColorSpace

#### Description [src]

Extracted from app/operations/operations-enums.h.

#### Members

`GIMP_LAYER_COLOR_SPACE_AUTO`

  GIMP_LAYER_COLOR_SPACE_AUTO.

  - Value: `0`
  - Available since: 3.0
`GIMP_LAYER_COLOR_SPACE_RGB_LINEAR`

  GIMP_LAYER_COLOR_SPACE_RGB_LINEAR.

  - Value: `1`
  - Available since: 3.0
`GIMP_LAYER_COLOR_SPACE_RGB_NON_LINEAR`

  GIMP_LAYER_COLOR_SPACE_RGB_NON_LINEAR.

  - Value: `2`
  - Available since: 3.0
`GIMP_LAYER_COLOR_SPACE_LAB`

  GIMP_LAYER_COLOR_SPACE_LAB.

  - Value: `3`
  - Available since: 3.0
`GIMP_LAYER_COLOR_SPACE_RGB_PERCEPTUAL`

  GIMP_LAYER_COLOR_SPACE_RGB_PERCEPTUAL.

  - Value: `4`
  - Available since: 3.0